Summary:	A set of GNU Interactive Tools.
Name:		gnuit
Version:	4.3.20
Release:	alt1
Copyright:	GPL
Group:		File tools
URL:		http://www.hulubei.net/tudor/git/
Packager:	Alexey Gladkov <legion@altlinux.ru>

Source0:	git-%version.tar
Patch0:		git-alt-fix-configure.patch
Patch1:		git-alt-rename.patch
Patch2:		git-alt-rename-envs.patch
Patch3:		git-4.3.20-option-fix.patch
Patch4:		git-alt-gitaction-fix.patch

%define _libexecdir %_prefix/libexec
%define helperdir %_libexecdir/%name

# Automatically added by buildreq on Thu Mar 29 2007
BuildRequires: libncurses-devel libreadline-devel

%description
GIT (GNU Interactive Tools) provides an extensible file system browser,
an ASCII/hexadecimal file viewer, a process viewer/killer and other
related utilities and shell scripts.  GIT can be used to increase the
speed and efficiency of copying and moving files and directories, invoking
editors, compressing and uncompressing files, creating and expanding
archives, compiling programs, sending mail and more.  GIT uses standard
ANSI color sequences, if they are available.

You should install the git package if you are interested in using its file
management capabilities.

%prep
%setup -q -n git-%version
%patch0 -p1 -b .fix0
%patch1 -p1 -b .fix1
%patch2 -p1 -b .fix2
%patch3 -p1 -b .fix3
%patch4 -p1 -b .fix4

%build
export CFLAGS="%optflags"
%__autoreconf
%configure --with-terminfo --enable-gcc-warnings --program-transform-name='s/^git/gnuit/'
%make_build

%install
%makeinstall

# Make helper
%__mkdir_p %buildroot/%_sysconfdir/bashrc.d %buildroot/%helperdir
cat >%buildroot/%helperdir/runner.sh<<-EOF
	gnuit_runner() {
	    unset gnuit_runner
	    local rc=0 path= tempfile=
	    if ! tempfile="\$(mktemp -t 'gnuit.XXXXXXXXX' 2>/dev/null)"; then
	        %_bindir/%name \$@ || rc=\$?
	        return \$rc
	    fi
	    if %_bindir/%name -p 2>"\$tempfile"; then
	        path="\$(head -1 "\$tempfile")"    
	        [ ! -d "\$path" ] || cd "\$path"
	    else
	        rc=\$?
	        cat "\$tempfile" >&2
	    fi
	    rm -f -- "\$tempfile"
	    return \$rc
	}
	gnuit_runner
EOF
printf "alias gnuit='. %helperdir/runner.sh'\\n" > %buildroot/%_sysconfdir/bashrc.d/%name.sh

chmod +x %buildroot/%_sysconfdir/bashrc.d/%name.sh

# Rename documentation
mv -f doc/{git,gnuit}.html

find %buildroot/%_infodir -type f -name 'git*' -printf '%%h %%f\n' |
while read o f; do
	mv -vf "$o/$f" "$o/gnuit${f#git}"
done

# Rename gitrc.* files
mv -f %buildroot/%_datadir/{git,%name}
find %buildroot/%_datadir/%name -type f -name '.gitrc*' -printf '%%h %%f\n' |
while read o f; do
	mv -vf "$o/$f" "$o/.gnuit${f#.git}"
done

%files
%_sysconfdir/bashrc.d/*
%_bindir/*
%helperdir
%_man1dir/*
%_infodir/gnuit*
%_datadir/%name/.gnuitrc*
%doc COPYING ChangeLog LSM NEWS PLATFORMS PROBLEMS README INSTALL doc/gnuit.html

%post -p %install_info
%preun -p %uninstall_info

%changelog
* Sat Feb 24 2007 Alexey Gladkov <legion@altlinux.ru> 4.3.20-alt1
- Rebuild for ALT Linux.
- Add script in bashrc.d.
- Rename package git -> gnuit.
- Move internal helpers into /usr/libexec/gnuit/ directory.
- Rewrite specfile.

* Thu Mar 07 2002 Stanislav Ievlev <inger@altlinux.ru> 4.3.20-ipl7mdk
- Rebuilt

* Tue Feb 6 2001 AEN <aen@logic.ru>
- typo in %post/%preun fixed
* Sat Jan 13 2001 AEN <aen@logic.ru>
- RE  adaptation

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.3.20-4mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Francis Galiegue <fg@mandrakesoft.com> 4.3.20-3mdk

- BMacros

* Wed Mar 22 2000 Francis Galiegue <fg@mandrakesoft.com> 4.3.20-2mdk

- Rebuild on kenobi

* Mon Mar 13 2000 Francis Galiegue <francis@mandrakesoft.com> 4.3.20-1mdk

- 4.3.20
- Changed group to match 7.1
- some spec file changes
- Let spec helper do its job
* Sun Nov 28 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- remove broken smp macro, rely on --enable-smp to detect the number of
	processors

* Mon Nov 24 1999 Camille Begnis <camille@mandrakesoft.com>
- added compilation for SMP architecture
- added %defattr(-,root,root,0755)

* Mon Jul 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Remove wrong dir files.

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 0.3.19
- turn on smp build

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 5)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- Fixed the dumb requirement for /usr/lib/git/term

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- updated to 4.3.17

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- added BuildRoot to spec file; added the path-correction patch
- added info file handling

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- built against readline library w/ proper soname

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 20 1997 Michael Fulbright <msf@redhat.com>
- Updated to v. 4.3.16
